/**
 * al-radio
 *
 * @author Rob Parker <robert.parker@alertlogic.com>
 *
 * @copyright Alert Logic, Inc 2021
 *
 */
import { EventEmitter } from '@angular/core';
import { ControlValueAccessor, NgControl } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class AlRadioComponent implements ControlValueAccessor {
    ngControl: NgControl;
    name: string;
    label: string;
    value: string | number;
    inline?: boolean;
    disabled: boolean;
    inputModelChange: EventEmitter<string | number>;
    checked: boolean;
    constructor(ngControl: NgControl);
    onChanged: any;
    onTouched: any;
    onChange(): void;
    writeValue(value: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState(val: boolean): void;
    static ɵfac: i0.ɵɵFactoryDef<AlRadioComponent, [{ optional: true; self: true; }]>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<AlRadioComponent, "al2-radio", never, { "name": "name"; "label": "label"; "value": "value"; "inline": "inline"; "disabled": "disabled"; }, { "inputModelChange": "inputModelChange"; }, never, never>;
}
